org.eclnt.jsfserver.elements.impl

## Class KEYSELECTORBinding

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.elements.impl.KEYSELECTORBinding

- All Implemented Interfaces:
    IPageBean, IDynamicContentBindingObject

      public class KEYSELECTORBinding
      extends PageBean

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `KEYSELECTORBinding.IListener`
    `class` | `KEYSELECTORBinding.KeyInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KEYSELECTORBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addKeyInfo(java.lang.String key)`
    `void` | `addKeyInfos(java.lang.String keys)`
    `void` | `addKeyInfos09()`
    `void` | `addKeyInfosAZ()`
    `void` | `addListener(KEYSELECTORBinding.IListener listener)`
    `void` | `clearKeyInfos()`
    `void` | `clearKeyInfoSelection()`
    `void` | `disableAll()`
    `void` | `disableKeyInfo(java.lang.String key)`
    `void` | `enableAll()`
    `void` | `enableKeyInfo(java.lang.String key)`
    `DYNAMICCONTENTBinding` | `getContent()`
    `java.util.List<KEYSELECTORBinding.KeyInfo>` | `getKeyInfos()`
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `void` | `removeListener(KEYSELECTORBinding.IListener listener)`
    `void` | `render()`
    `void` | `selectKeyInfo(KEYSELECTORBinding.KeyInfo keyInfo)`
    `void` | `selectKeyInfo(java.lang.String key)`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KEYSELECTORBinding

          public KEYSELECTORBinding()

  - ### Method Detail

    - #### getPageName

          public java.lang.String getPageName()

      Description copied from interface: `IPageBean`
      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.
      Specified by:
        `getPageName` in interface `IPageBean`
      Specified by:
        `getPageName` in class `PageBean`

    - #### getRootExpressionUsedInPage

          public java.lang.String getRootExpressionUsedInPage()

      Description copied from interface: `IPageBean`
      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.
      Specified by:
        `getRootExpressionUsedInPage` in interface `IPageBean`
      Specified by:
        `getRootExpressionUsedInPage` in class `PageBean`

    - #### addListener

          public void addListener(KEYSELECTORBinding.IListener listener)

    - #### removeListener

          public void removeListener(KEYSELECTORBinding.IListener listener)

    - #### getContent

          public DYNAMICCONTENTBinding getContent()

    - #### getKeyInfos

          public java.util.List<KEYSELECTORBinding.KeyInfo> getKeyInfos()

    - #### addKeyInfosAZ

          public void addKeyInfosAZ()

    - #### addKeyInfos09

          public void addKeyInfos09()

    - #### addKeyInfos

          public void addKeyInfos(java.lang.String keys)

    - #### addKeyInfo

          public void addKeyInfo(java.lang.String key)

    - #### disableAll

          public void disableAll()

    - #### enableAll

          public void enableAll()

    - #### disableKeyInfo

          public void disableKeyInfo(java.lang.String key)

    - #### enableKeyInfo

          public void enableKeyInfo(java.lang.String key)

    - #### clearKeyInfos

          public void clearKeyInfos()

    - #### selectKeyInfo

          public void selectKeyInfo(java.lang.String key)

    - #### clearKeyInfoSelection

          public void clearKeyInfoSelection()

    - #### selectKeyInfo

          public void selectKeyInfo(KEYSELECTORBinding.KeyInfo keyInfo)

    - #### render

          public void render()

Copyright © CaptainCasa Gmbh. All Rights Reserved.